PUT /v1/automation/workflows/{workflowID}
PUT
/v1/automation/workflows/{workflowID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
workflowIDstringrequiredRequest body
requiredapplication/jsondescriptionstringnamestringrequiredResponses
200OK
active_version_idstringcreated_atstringdescriptionstringidstringrequirednamestringrequiredstatusstringrequiredupdated_atstringdefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/automation/workflows/string" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"name": "string"
}'const response = await fetch("/v1/automation/workflows/string", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"description": "string",
"name": "string"
})
});import requests
response = requests.put(
"/v1/automation/workflows/string",
headers={
"Content-Type": "application/json"
},
json={
"description": "string",
"name": "string"
},
)Response
{
"active_version_id": "string",
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}